#pragma once

#include "ChangeStateCommand.h"
#include "Builder/GameBuilderDirector.h"

class GameCommand: public ChangeStateCommand {
public:
    void execute() override;
public:
    GameCommand(IStateManager& state_manager, std::unique_ptr<GameBuilderDirector>&& ptr_director);
private:
    std::unique_ptr<GameBuilderDirector> m_ptr_director;
};