#pragma once

#include "IDynamicEntity.h"

class Enemy: public IDynamicEntity {
public:
    void prepare_for_drawing() override;
    void draw_into(sf::RenderWindow& window) const override;
    std::unique_ptr<IDynamicEntity> clone() const override;
    void action() override;
public:
    Enemy();
private:
    sf::RectangleShape m_rectangle;
    sf::Clock m_stopwatch;
};